# Whether the current tenant has the tool connected

Source: https://docs.levelfour.ai/api-reference/integrations/get-integrations-by-id-connection


## GET /api/v1/integrations/{tool}/connection

### Authentication

Send `Authorization: Bearer <token>`.

### Parameters

- `tool` (path, string, required)

### Responses

#### 200: Successful Response

- `success` (boolean, default `true`)
- `timestamp` (date-time string)
- `data` (object, required)
  - `tool` (one of `jira`, `trello`, required): The tool this connection status is for
  - `connected` (boolean, required): True once the tenant has completed the OAuth connect flow
  - `connected_at` (date-time string, nullable): When the connection was established

#### Errors

- `400`: Bad Request
- `401`: Authentication Error
- `403`: Authorization Error
- `404`: Not Found
- `409`: Conflict
- `422`: Validation Error
- `429`: Rate Limit Exceeded
- `500`: Internal Server Error

Body of `400`, `401`, `403`, `404`, `409`, `422`, `429`, `500`:

- `success` (`false`, required)
- `error` (object, required)
  - `code` (string, required)
  - `message` (string, required)
  - `details` (any)
- `timestamp` (date-time string, required)
